<?
/*
* Copyright (c) 2016, Andrey_B
* http://ab-log.ru
* Подробнее см. LICENSE.txt или http://www.gnu.org/licenses/
*/

/*
Скрипт для работы с датчиком атмосферного давления BMP180
Использует драйвер BMP180 и библиотеку I2C-PHP
*/

define("SCL", "30");
define("SDA", "31");
define("MD", "http://192.168.0.14/sec/?");

require_once("mod_i2c_bmp180.php");

// Вариант реализации I2C:
// 1 - полностью программный;
// 2 - частично аппаратный (для MegaD-328 прошивка 3.43beta1 и выше)
// 3 - аппаратный (только для MegaD-2561)
define("V", "2");

require_once("ab-cms/class/main_class.php");

$pressure = get_pressure();
echo "Атмосферное давление (мм.рт.ст.): $pressure\n";
$temperature = get_temperature();
echo "Температура (гр. C): $temperature\n";

?>